
#include <tdeapplication.h>
#include <tdeaboutdata.h>
#include <tdecmdlineargs.h>
#include <tdelocale.h>
#include "mainviewimp.h"

static const char description[] =    I18N_NOOP("A TDE Application");

static const char version[] = "%{VERSION}";

static TDECmdLineOptions options[] =
    {
        { "+[URL]", I18N_NOOP( "Document to open" ), 0 },
        TDECmdLineLastOption
    };


int main(int argc, char **argv)
{
	TDEAboutData about("%{APPNAME}", I18N_NOOP("%{APPNAME}"), version, description,
	                 TDEAboutData::License_%{LICENSE}, "(C) 2004 %{AUTHOR}", 0, 0, "%{EMAIL}");
	about.addAuthor( "%{AUTHOR}", 0, "%{EMAIL}" );
	TDECmdLineArgs::init(argc, argv, &about);
	TDECmdLineArgs::addCmdLineOptions(options);
	TDECmdLineArgs *args = TDECmdLineArgs::parsedArgs();
	TDEApplication app;
	MainViewImp *widget = new MainViewImp;
	app.setMainWidget(widget);
	widget->show();
	return app.exec();
}

